# $Revision: 1.10 $, $Date: 2001/11/26 01:01:48 $
Summary:	Freeciv launcher for Window Maker Dock
Summary(pl):	Odpalacz Freeciv dla Doku Window Makera
Name:		wmciv
Version:	0.2
Release:	2
License:	GPL
Group:		X11/Window Managers/Tools
Group(de):	X11/Fenstermanager/Werkzeuge
Group(pl):	X11/Zarzdcy Okien/Narzdzia
Source0:	http://www.chez.com/soap/wmciv/%{name}-%{version}.tar.gz
URL:		http://www.chez.com/soap/wmciv/
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix 	/usr/X11R6

%description
wmciv is a dock-application designed for Window Maker. It allows you
to easily launch a Freeciv game. Any relatively recent version of
Freeciv should be supported.

After installing this package you have to create a directory named
.wmciv in your home directory and copy in it the files contained in
%{_defaultdocdir}/%{name}-%{version}/scripts/.

%description -l pl
wmciv jest dokowalnym apletem zaprojektowanym dla Window Makera.
Pozwala Ci na atwe uruchamianie gry Freeciv. Powinien wsppracowa z
kad, w miar now, wersj Freeciv.

Po zainstalowaniu tego pakietu musisz stworzy katalog .wmciv w swoim
katalogu domowym i skopiowa do niego pliki znajdujce si w
%{_defaultdocdir}/%{name}-%{version}/scripts/.

%prep
%setup -q

%build
%{__make} CFLAGS="%{rpmcflags} -Wall -I%{_includedir}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install DESTDIR=$RPM_BUILD_ROOT%{_bindir}

gzip -9nf README CHANGELOG 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz scripts

%attr(755,root,root) %{_bindir}/wmciv

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: wmciv.spec,v $
Revision 1.10  2001/11/26 01:01:48  kloczek
- reorder in header.

Revision 1.9  2001/11/25 22:33:43  blues
- release 2

Revision 1.8  2001/11/21 02:49:44  blues
- cosmetic in files

Revision 1.7  2001/05/03 01:14:05  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.6  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.5  2000/06/09 07:24:02  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/04/01 11:15:59  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.2  1999/09/04 09:44:02  pius
- cosmetics

Revision 1.1  1999/09/02 16:35:15  pius
- initial rpm release

